<script type="text/javascript">
<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: content.js.php  2006-09-04 21:26 EDT dreadpickle $
 *
 ******************************/
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

$server_name_escape = $wowdb->escape($roster_conf['server_name']);
$qry_classes = "select distinct class from `".ROSTER_PLAYERSTABLE."` order by class";
$rslt_classes = $wowdb->query($qry_classes) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_classes);
if ($roster_conf['sqldebug'])
{
  print ("//<!-- $qry_classes -->"."\n");
}

?>
  //addListGroup("list-group-name", "first-list-name")
  //addList("first-list-name", "option text", "option value", "sub-list-name", default-selected, 'option-label')
  //addOption("first-list-name", "option text", "option value", default-selected, 'option-label')

  // Create the group for our list boxes
  addListGroup("classtreefilter", "classfilter");

  // Create and populate the Class list.
  // Add a 'blank' tree selection that is null so we can play with using fewer than all 3 lists.
  <?php
    while($row_classes = $wowdb->fetch_array($rslt_classes))
    {
  	echo '  addList("classfilter", "'.$row_classes["class"].'", "'.$row_classes["class"].'", "'.$row_classes["class"].'tree");'."\n";
  	echo '  addList("'.$row_classes["class"].'tree", "Select a tree or click APPLY", "", "applyorselect", 1);'."\n";
    }

    $qry_classtree = "SELECT DISTINCT p.class, t.tree ".
                     "FROM `".ROSTER_PLAYERSTABLE."` p, `".ROSTER_TALENTSTABLE."` t ".
                     "WHERE p.member_id = t.member_id ".
                     "ORDER BY p.class, t.tree";
    $rslt_classtree = $wowdb->query($qry_classtree) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_classtree);

    $qry_classtreetalent = "SELECT DISTINCT p.class, t.tree , t.name ".
                     "FROM `".ROSTER_PLAYERSTABLE."` p, `".ROSTER_TALENTSTABLE."` t ".
                     "WHERE p.member_id = t.member_id ".
                     "ORDER BY p.class, t.tree , t.name";
    $rslt_classtreetalent = $wowdb->query($qry_classtreetalent) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_classtreetalent);
    if ($roster_conf['sqldebug'])
    {
      print ('//<!-- $qry_classtree -->'."\n");
    }

    echo "// Create and populate the Class Talent Tree List."."\n";
    echo "// Add a 'blank' talent selection that is null so we can play with using fewer than all 3 lists."."\n";
    echo "// Create and populate the Talent list."."\n";
    echo 'addOption("applyorselect", "Select a tree or click APPLY", "", 1);'."\n";
    while($row_classtree = $wowdb->fetch_array($rslt_classtree))
    {
  	echo 'addList("'.$row_classtree["class"].'tree", "'.
  	$row_classtree["tree"].'", "'.
  	$row_classtree["tree"].'", "'.
  	$row_classtree["class"].'tree'.$row_classtree["tree"].'");'."\n";

  	echo 'addOption("'.$row_classtree["class"].'tree'.$row_classtree["tree"].'", "Select a talent or click APPLY", "", 1);'."\n";
    }
    while($row_classtreetalent = $wowdb->fetch_array($rslt_classtreetalent))
    {
  	echo 'addOption("'.$row_classtreetalent["class"].'tree'.$row_classtreetalent["tree"].'", "'.
  	$row_classtreetalent["name"].'", "'.
  	$row_classtreetalent["name"].'");'."\n";
    }
    $wowdb->free_result($rslt_classes);
    $wowdb->free_result($rslt_classtree);
    $wowdb->free_result($rslt_classtreetalent);
  ?>
</script>
