<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: index.php 5042 2006-11-02 10:56 EST DreadPickle $
 *
 ******************************/
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

$server_name_escape = $wowdb->escape($roster_conf['server_name']);

$header_title = $wordings[$roster_conf['roster_lang']]['talented'];
//$roster_show_header = false;  // Turn off roster header
//$roster_show_menu = false;    // Turn off roster menu
// $roster_show_footer = false;  // Turn off roster footer 

$html_head = '  <script type="text/javascript" src="'.$roster_conf['roster_dir'].'/addons/talented/chainedselects.js"></script>'."\n";
require('content.js.php');

$body_action = 'onload="initListGroup(\'classtreefilter\', document.frmtalented.lstclass, document.frmtalented.lsttree, document.frmtalented.lsttalents, \'savetalent\');"';

print border('syellow','start',$wordings[$roster_conf['roster_lang']]['talentfilter']);

extract($_REQUEST);
function check_numfield($field_name)
{
  if(preg_match("/[^0-9]+$/ ",$field_name))
    return TRUE;   //"FALSE";
  else
    return FALSE;  //"TRUE";
}
?>
<form action="addon.php" method="GET" name="frmtalented">
  <input type="hidden" name="roster_addon_name" value="talented">
  <table cellpadding="0" cellspacing="0" class="membersList">
    <tr>
      <th class="membersRow1"> <?php echo $wordings[$roster_conf['roster_lang']]['class'] ?>: </th>
      <td class="membersRow1">
        <select name="lstclass" id="lstclass" style="width:100px;"><option></option></select>
      </td>
      <th class="membersRow1"> <?php echo $wordings[$roster_conf['roster_lang']]['talenttree'] ?>: </th>
      <td class="membersRow1">
        <select name="lsttree" id="lsttree" style="width:200px;"><option></option></select>
      </td>
      <th class="membersRow1"> <?php echo $wordings[$roster_conf['roster_lang']]['talents'] ?>: </th>
      <td class="membersRow1">
        <select name="lsttalents" id="lsttalents" style="width:300px;"><option></option></select>
      </td>
    </tr>
    <tr>
      <th class="membersRow1"> <?php echo $wordings[$roster_conf['roster_lang']]['minlevel'] ?>: </th>
      <td class="membersRow1">
        <input type="text" name="txtminlvl" id="txtminlvl" style="width:25px;" maxLength="2"
        <?php
          if( isset($_REQUEST["txtminlvl"]) )
          {
          	echo 'value="'.$_REQUEST["txtminlvl"].'"';
          }
        ?>
        > (optional)
      </td>
      <td class="membersRow1" colspan="4"><?php
      if( isset($_REQUEST["txtminlvl"]) && check_numfield($txtminlvl) )
      {
          echo '<span style="color:red;">'.$wordings[$roster_conf['roster_lang']]['badinput'].'</span>';
        unset($_REQUEST["txtminlvl"]);
      } ?>
      </td>
    </tr>
    <tr>
      <th class="membersRow1"> <?php echo $wordings[$roster_conf['roster_lang']]['maxlevel'] ?>: </th>
      <td class="membersRow1">
        <input type="text" name="txtmaxlvl" id="txtmaxlvl" style="width:25px;" maxLength="2"
        <?php
          if( isset($_REQUEST["txtmaxlvl"]) )
          {
          	echo 'value="'.$_REQUEST["txtmaxlvl"].'"';
          }
        ?>
        > (optional)
      </td>
      <td class="membersRow1" colspan="4"><?php 
        if( isset($_REQUEST["txtmaxlvl"]) && check_numfield($txtmaxlvl) )
        {
          echo '<span style="color:red;">'.$wordings[$roster_conf['roster_lang']]['badinput'].'</span>';
          unset($_REQUEST["txtmaxlvl"]);
        } ?>
      </td>
    </tr>
    <tr>
      <td colspan="6" align="center">
        <input type="submit" value="<?php echo $wordings[$roster_conf['roster_lang']]['applybutton'] ?>" />
      </td>
    </tr>
  </table>
</form>
<?php
echo border('syellow','end').'<br/>';

if ( $_REQUEST["txtminlvl"] == "" )
{
  unset($_REQUEST["txtminlvl"]);
}
if ( $_REQUEST["txtmaxlvl"] == "" )
{
  unset($_REQUEST["txtmaxlvl"]);
}

if ( $_REQUEST["lstclass"] == "" )
{
  unset($_REQUEST["lstclass"]);
}
if ( $_REQUEST["lsttree"] == "" )
{
  unset($_REQUEST["lsttree"]);
}
if ( $_REQUEST["lsttalents"] == "" )
{
  unset($_REQUEST["lsttalents"]);
}

if ( isset($_REQUEST["lstclass"], $_REQUEST["lsttree"], $_REQUEST["lsttalents"]) )
{
  include ('talentcompare.php');
}
elseif ( isset($_REQUEST["lstclass"], $_REQUEST["lsttree"]) && ( !isset($_REQUEST["lsttalents"]) ) )
{
  include ( 'treecompare.php' );
}
elseif ( isset($_REQUEST["lstclass"]) && ( !isset($_REQUEST["lsttree"]) ) && ( !isset($_REQUEST["lsttalents"]) ) )
{
  include ('classoverview.php');
}

echo $content;
?>
