<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: classoverview.php 6163 2006-11-02 10:55 EST DreadPickle $
 *
 ******************************/
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}
    $qry_playerstotals = "select p.`name` , p.`level` , p.`server` , ".
      "sum( `pointsspent` * ( 1 - abs( sign( `order` -1 ) ) ) ) as order1, ".
      "sum( `pointsspent` * ( 1 - abs( sign( `order` -2 ) ) ) ) as order2, ".
      "sum( `pointsspent` * ( 1 - abs( sign( `order` -3 ) ) ) ) as order3 ".
      "from ".ROSTER_PLAYERSTABLE." p, ".ROSTER_TALENTTREETABLE." tt ".
      "where tt.`member_id` = p.`member_id` ".
      "and p.`class` = '".($_REQUEST['lstclass'])."'";
    if ( isset($_REQUEST["txtminlvl"]) AND  isset($_REQUEST["txtmaxlvl"]))
      $qry_playerstotals .= " and (p.level BETWEEN '".$_REQUEST["txtminlvl"]."' and '".$_REQUEST["txtmaxlvl"]."')";
    elseif ( isset($_REQUEST["txtminlvl"]) AND  !isset($_REQUEST["txtmaxlvl"]))
      $qry_playerstotals .= " and (p.level >= '".$_REQUEST["txtminlvl"]."')";
    elseif ( !isset($_REQUEST["txtminlvl"]) AND  isset($_REQUEST["txtmaxlvl"]))
      $qry_playerstotals .= " and (p.level <= '".$_REQUEST["txtmaxlvl"]."')";

    $qry_playerstotals .= " group by p.`name`, p.`level` , p.`server`";

    $qry_treenames = "select distinct tt.tree, tt.order ".
      "from ".ROSTER_PLAYERSTABLE." p, ".ROSTER_TALENTTREETABLE." tt ".
      "where tt.member_id = p.member_id ".
      "and p.`class` = '".($_REQUEST['lstclass'])."' ORDER BY tt.order, tt.tree";

    $rslt_playerstotals = $wowdb->query($qry_playerstotals) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_playerstotals);
    $rslt_treenames = $wowdb->query($qry_treenames) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_treenames);
        if ($roster_conf['sqldebug'])
        {
          $content .= ('<!-- $qry_playerstotals -->'."\n");
          $content .= ('<!-- $qry_treenames -->'."\n");
        }

    $rc = 0;
    $content .= border('syellow','start',$_REQUEST['lstclass']).'<table class="bodyline" cellspacing="0">'."\n";
    $content .= '<tr>'."\n";
    $content .= '<th class="membersHeader">&nbsp;'.$wordings[$roster_conf['roster_lang']]['name'].'&nbsp;</th>'."\n";
    while($row_treenames = $wowdb->fetch_array($rslt_treenames))
    {
    	$content .= '<th class="membersHeader">&nbsp;'.$row_treenames['tree'].'&nbsp;</th>'."\n";
    }
    $content .= '</tr>';
    $wowdb->free_result($rslt_treenames);
    // Increment counter so rows are colored alternately
    ++$rc;

    $table_cell_start = '<td class="membersRow'.(($rc%2)+1).'" style="text-align:center; vertical-align:middle;">';

    while($row_playerstotals = $wowdb->fetch_array($rslt_playerstotals))
    {
      $content .=  '<tr>'."\n";
      if ($row_playerstotals["server"])
      {
        if ($addon_conf['talented']['popchar'] == 1) 
        {
          $content .=  $table_cell_start.'&nbsp;<a href="javascript:void(0)"'.
          'onClick="w = window.open(\'char.php?name='.$row_playerstotals['name'].'&amp;server='.$row_playerstotals['server'].
          '&amp;action=character\',\'PopUp\',\'width=650,height=750,left=50,top=50,screenX=50,screenY=50,fullscreen=no,toolbar=no,status=no,menubar=no,scrollbars=yes,resizable=yes,directories=no,location=no\'); return true;">'.
          $row_playerstotals['name'].'</a>&nbsp;('.$row_playerstotals['level'].')&nbsp;</td>';
        } else {
          $content .=  $table_cell_start.'&nbsp;<a href="char.php?name='.$row_playerstotals['name'].'&amp;server='.$row_playerstotals['server'].'&amp;action=character">'.$row_playerstotals['name'].'</a>&nbsp;('.$row_playerstotals['level'].')&nbsp;</td>';
        }
      }
      else
        $content .=  $table_cell_start.'&nbsp;'.$row_playerstotals['name'].'&nbsp;('.$row_playerstotals['level'].')&nbsp;</td>';

      $content .=  $table_cell_start.'&nbsp;';
          if( $row_playerstotals["order1"] >= 31 )
          {
            $content .= '<span style="color: green;">';
          }
          elseif( $row_playerstotals["order1"] < 31 && $row_playerstotals["order1"] > 0 )
          {
            $content .= '<span style="color: yellow;">';
          }
          elseif( $row_playerstotals["order1"] == 0 )
          {
            $content .= '<span style="color: red;">';
          }
      $content .=  $row_playerstotals["order1"].'</span>&nbsp;</td>';
      $content .=  $table_cell_start.'&nbsp;';
          if( $row_playerstotals["order2"] >= 31 )
          {
            $content .= '<span style="color: green">';
          }
          elseif( $row_playerstotals["order2"] < 31 && $row_playerstotals["order2"] > 0 )
          {
            $content .= '<span style="color: yellow">';
          }
          elseif( $row_playerstotals["order2"] == 0 )
          {
            $content .= '<span style="color: red">';
          }
      $content .=  $row_playerstotals["order2"].'</span>&nbsp;</td>';
      $content .=  $table_cell_start.'&nbsp;';
          if( $row_playerstotals["order3"] >= 31 )
          {
            $content .= '<span style="color: green">';
          }
          elseif( $row_playerstotals["order3"] < 31 && $row_playerstotals["order3"] > 0 )
          {
            $content .= '<span style="color: yellow">';
          }
          elseif( $row_playerstotals["order3"] == 0 )
          {
            $content .= '<span style="color: red">';
          }
      $content .=  $row_playerstotals["order3"].'</span>&nbsp;</td>';
      $content .=  '</tr>';
    }
    $content .=  '</table>'.border('syellow','end');
    $wowdb->free_result($rslt_playerstotals);
?>
